autogen.sh 2.43 KB
Newer Older
1 2 3 4 5 6 7 8 9 10 11
#!/bin/sh
# Run this to generate all the initial makefiles, etc.

srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.

ORIGDIR=`pwd`
cd $srcdir

PROJECT=dbus
TEST_TYPE=-f
12
FILE=dbus-1.pc.in
13 14 15

DIE=0

16 17
if [ -f .git/hooks/pre-commit.sample -a ! -f .git/hooks/pre-commit ] ; then
    echo "Activating pre-commit hook."
18
    cp .git/hooks/pre-commit.sample .git/hooks/pre-commit
19
    chmod +x .git/hooks/pre-commit
20 21
fi

22 23 24 25 26 27 28 29
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
	echo
	echo "You must have autoconf installed to compile $PROJECT."
	echo "Download the appropriate package for your distribution,"
	echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
	DIE=1
}

30 31 32 33 34 35
# If the user hasn't explicitly chosen an Automake version, use 1.11. This is
# the earliest version that gives us silent rules.
if test -z "$AUTOMAKE"; then
    AUTOMAKE=automake-1.11
    ACLOCAL=aclocal-1.11
fi
36 37 38 39 40 41 42 43 44 45 46 47 48 49

($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
        AUTOMAKE=automake
        ACLOCAL=aclocal
}

($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
	echo
	echo "You must have automake installed to compile $PROJECT."
	echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
	echo "(or a newer version if it is available)"
	DIE=1
}

50
LIBTOOLIZE=`which libtoolize`
51
if ! test -f "$LIBTOOLIZE"; then
52 53 54 55
	LIBTOOLIZE=`which glibtoolize`
fi

($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
56 57 58 59 60 61
	echo
	echo "You must have libtoolize installed to compile $PROJECT."
	echo "Install the libtool package from ftp.gnu.org or a mirror."
	DIE=1
}

62 63 64 65 66 67 68 69 70 71 72 73 74 75
if test "$DIE" -eq 1; then
	exit 1
fi

test $TEST_TYPE $FILE || {
	echo "You must run this script in the top-level $PROJECT directory"
	exit 1
}

if test -z "$*"; then
	echo "I am going to run ./configure with no arguments - if you wish "
        echo "to pass any to it, please specify them on the $0 command line."
fi

76
$LIBTOOLIZE --copy --force
77

78
$ACLOCAL -I m4 $ACLOCAL_FLAGS
79

80
## optionally feature autoheader
81 82 83
(autoheader --version)  < /dev/null > /dev/null 2>&1 && autoheader

$AUTOMAKE -a $am_opt
84 85 86 87
if ! autoconf; then
  echo "autoconf failed - version 2.5x is probably required" >&2
  exit 1
fi
88 89 90

cd $ORIGDIR

91 92 93
if test x"$NOCONFIGURE" = x; then
  run_configure=true
  for arg in $*; do
94 95 96 97 98 99 100
    case $arg in 
        --no-configure)
            run_configure=false
            ;;
        *)
            ;;
    esac
101 102 103 104
  done
else
  run_configure=false
fi
105 106

if $run_configure; then
107
    $srcdir/configure --enable-developer --config-cache "$@"
108
fi